Bug 53200 - Be able to use SlowQueryReport without reporting failed queries
Be able to use SlowQueryReport without reporting failed queries
Status: RESOLVED FIXED
Product: Tomcat Modules
Classification: Unclassified
Component: jdbc-pool
unspecified
PC All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-05-07 16:30 UTC by Patric Rufflar
Modified: 2014-08-08 14:17 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patric Rufflar 2012-05-07 16:30:13 UTC
In certain environments, failed queries are expected and should not appear in a log file.

Please add the feature to use SlowQueryReport for logging slow queries without reporting failed queries.
(or refactor the SlowQueryReport to split the responsible code to a FailedQueryReport)
Comment 1 Filip Hanik 2014-08-07 19:27:36 UTC
Fixed in r161657
Comment 2 Filip Hanik 2014-08-07 19:28:15 UTC
Fixed in r1616570
Comment 3 Filip Hanik 2014-08-08 14:17:22 UTC
amended in r1616761